Index: code/branches/buildsystem2/cmake/CheckOrxonoxWinDeps.cmake
===================================================================
--- code/branches/buildsystem2/cmake/CheckOrxonoxWinDeps.cmake	(revision 2526)
+++ 	(revision )
@@ -1,60 +1,0 @@
- #
- #   ORXONOX - the hottest 3D action shooter ever to exist
- #                    > www.orxonox.net <
- #
- #
- #   License notice:
- #
- #   This program is free software; you can redistribute it and/or
- #   modify it under the terms of the GNU General Public License
- #   as published by the Free Software Foundation; either version 2
- #   of the License, or (at your option) any later version.
- #
- #   This program is distributed in the hope that it will be useful,
- #   but WITHOUT ANY WARRANTY; without even the implied warranty of
- #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #   GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License
- #   along with this program; if not, write to the Free Software
- #   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #   Author:
- #      ...
- #   Co-authors:
- #      ...
- #
- 
-################# Win check ##################
-# Set the library directory when using precompiled tarballs for
-# the dependencies under windows
-###########################################
-
-IF (MINGW)
-  MESSAGE(STATUS "Running on MinGW. Using customized paths.")
-  SET(MINGW_LIBRARY_DIR "${CMAKE_SOURCE_DIR}/../libs")
-  #SET(Boost_ADDITIONAL_VERSIONS "1.36")
-  SET(BOOST_INCLUDEDIR "${MINGW_LIBRARY_DIR}/boost_1_34_1")
-  SET(BOOST_LIBRARYDIR "${MINGW_LIBRARY_DIR}/boost_1_34_1/stage/lib")
-  SET(ENV{ENETDIR} "${MINGW_LIBRARY_DIR}/enet-1.1")
-  SET(ENV{ALUTDIR} "${MINGW_LIBRARY_DIR}/freealut-1.1.0")
-  SET(ENV{OPENALDIR} "${MINGW_LIBRARY_DIR}/openal-0.0.8/common")
-  SET(ENV{LUA_DIR} "${MINGW_LIBRARY_DIR}/lua-5.1.3")
-  SET(ENV{OGGVORBISDIR} "${MINGW_LIBRARY_DIR}/oggvorbis-1.1.3-1.2.0")
-  SET(TCL_INCLUDE_PATH "${MINGW_LIBRARY_DIR}/tcl8.5.2/generic")
-  SET(TCL_LIBRARY_PATH "${MINGW_LIBRARY_DIR}/tcl8.5.2/win")
-  SET(ENV{CEGUIDIR} "${MINGW_LIBRARY_DIR}/cegui-0.6.1")
-  SET(ENV{OGREDIR} "${MINGW_LIBRARY_DIR}/ogre/OgreMain;${MINGW_LIBRARY_DIR}/ogre/Samples/Common/bin/Release")
-  SET(ZLIB_INCLUDE_DIR "${MINGW_LIBRARY_DIR}/zlib/include")
-  SET(ZLIB_LIB_DIR "${MINGW_LIBRARY_DIR}/zlib")
-  IF (NOT ENV{DXSDK_DIR})
-    SET(ENV{DXSDK_DIR} "${MINGW_LIBRARY_DIR}/DXSDK")
-  ENDIF (NOT ENV{DXSDK_DIR})
-
-  # MINGW doesn't like the -fPIC flag very much
-  SET(ORXONOX_FPIC_FLAG "")
-ELSE (MINGW)
-  SET(ORXONOX_FPIC_FLAG "-fPIC")
-ENDIF (MINGW)
-
-#MARK_AS_ADVANCED(MINGW_LIBRARY_DIR)
Index: code/branches/buildsystem2/cmake/CheckTardis.cmake
===================================================================
--- code/branches/buildsystem2/cmake/CheckTardis.cmake	(revision 2526)
+++ 	(revision )
@@ -1,29 +1,0 @@
-################# Tardis check ##################
-# This code checks whether the current machine  #
-# is an ETH tardis box.                         #
-#################################################
-
-IF (UNIX)
-  FILE(STRINGS /etc/hostname HOSTNAME LIMIT_COUNT 1)
-  IF ("${HOSTNAME}" MATCHES "^tardis-[a-z][0-9][0-9]$")
-    SET (IS_TARDIS ON)
-  ENDIF ("${HOSTNAME}" MATCHES "^tardis-[a-z][0-9][0-9]$")
-ENDIF (UNIX)
-MARK_AS_ADVANCED(HOSTNAME IS_TARDIS)
-
-IF (IS_TARDIS)
-  MESSAGE(STATUS "Running on D-ITET isg.ee Tardis Computer. Using customized paths.")
-  SET(CMAKE_C_COMPILER "gcc-4.1")
-  SET(CMAKE_CXX_COMPILER "g++-4.1")
-  #SET(Boost_ADDITIONAL_VERSIONS "1.36")
-  SET(BOOST_INCLUDEDIR "/usr/pack/boost-1.34.1-sd/include")
-  SET(BOOST_LIBRARYDIR "/usr/pack/boost-1.34.1-sd/i686-debian-linux3.1/lib")
-  SET(ENV{LUA_DIR} "/usr/pack/lua-5.0.3-sd;/usr/pack/lua-5.0.3-sd/i686-debian-linux3.1")
-  SET(ENV{ALUTDIR} "/usr/pack/openal-0.0.8-cl;/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1")
-  SET(ENV{OPENALDIR} "/usr/pack/openal-0.0.8-cl;/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1")
-  SET(ENV{ENETDIR} "/usr/pack/enet-2007-sd;/usr/pack/enet-2007-sd/i686-debian-linux3.1")
-  SET(ENV{OGGVORBISDIR} "/usr/pack/oggvorbis-1.0-ds;/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0")
-  #SET(TCL_INCLUDE_PATH "/usr/pack/tcltk-8.4.9.linux-mo/include")
-  SET(ENV{CEGUIDIR} "/usr/pack/cegui-0.5.0-sd;/usr/pack/cegui-0.5.0-sd/i686-debian-linux3.1")
-  SET(ENV{OGREDIR} "/usr/pack/ogre-1.4.5-sd;/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1")
-ENDIF (IS_TARDIS)
Index: code/branches/buildsystem2/cmake/ConfigMinGW.cmake
===================================================================
--- code/branches/buildsystem2/cmake/ConfigMinGW.cmake	(revision 2566)
+++ code/branches/buildsystem2/cmake/ConfigMinGW.cmake	(revision 2566)
@@ -0,0 +1,60 @@
+ #
+ #   ORXONOX - the hottest 3D action shooter ever to exist
+ #                    > www.orxonox.net <
+ #
+ #
+ #   License notice:
+ #
+ #   This program is free software; you can redistribute it and/or
+ #   modify it under the terms of the GNU General Public License
+ #   as published by the Free Software Foundation; either version 2
+ #   of the License, or (at your option) any later version.
+ #
+ #   This program is distributed in the hope that it will be useful,
+ #   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #   GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License
+ #   along with this program; if not, write to the Free Software
+ #   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #   Author:
+ #      ...
+ #   Co-authors:
+ #      ...
+ #
+ 
+############## MinGW config ###############
+# Set the library directory when using precompiled tarballs for
+# the dependencies under windows
+###########################################
+
+IF (MINGW)
+  MESSAGE(STATUS "Running on MinGW. Using customized paths.")
+  SET(MINGW_LIBRARY_DIR "${CMAKE_SOURCE_DIR}/../libs")
+  #SET(Boost_ADDITIONAL_VERSIONS "1.36")
+  SET(BOOST_INCLUDEDIR "${MINGW_LIBRARY_DIR}/boost_1_34_1")
+  SET(BOOST_LIBRARYDIR "${MINGW_LIBRARY_DIR}/boost_1_34_1/stage/lib")
+  SET(ENV{ENETDIR} "${MINGW_LIBRARY_DIR}/enet-1.1")
+  SET(ENV{ALUTDIR} "${MINGW_LIBRARY_DIR}/freealut-1.1.0")
+  SET(ENV{OPENALDIR} "${MINGW_LIBRARY_DIR}/openal-0.0.8/common")
+  SET(ENV{LUA_DIR} "${MINGW_LIBRARY_DIR}/lua-5.1.3")
+  SET(ENV{OGGVORBISDIR} "${MINGW_LIBRARY_DIR}/oggvorbis-1.1.3-1.2.0")
+  SET(TCL_INCLUDE_PATH "${MINGW_LIBRARY_DIR}/tcl8.5.2/generic")
+  SET(TCL_LIBRARY_PATH "${MINGW_LIBRARY_DIR}/tcl8.5.2/win")
+  SET(ENV{CEGUIDIR} "${MINGW_LIBRARY_DIR}/cegui-0.6.1")
+  SET(ENV{OGREDIR} "${MINGW_LIBRARY_DIR}/ogre/OgreMain;${MINGW_LIBRARY_DIR}/ogre/Samples/Common/bin/Release")
+  SET(ZLIB_INCLUDE_DIR "${MINGW_LIBRARY_DIR}/zlib/include")
+  SET(ZLIB_LIB_DIR "${MINGW_LIBRARY_DIR}/zlib")
+  IF (NOT ENV{DXSDK_DIR})
+    SET(ENV{DXSDK_DIR} "${MINGW_LIBRARY_DIR}/DXSDK")
+  ENDIF (NOT ENV{DXSDK_DIR})
+
+  # MINGW doesn't like the -fPIC flag very much
+  SET(ORXONOX_FPIC_FLAG "")
+ELSE (MINGW)
+  SET(ORXONOX_FPIC_FLAG "-fPIC")
+ENDIF (MINGW)
+
+#MARK_AS_ADVANCED(MINGW_LIBRARY_DIR)
Index: code/branches/buildsystem2/cmake/ConfigTardis.cmake
===================================================================
--- code/branches/buildsystem2/cmake/ConfigTardis.cmake	(revision 2566)
+++ code/branches/buildsystem2/cmake/ConfigTardis.cmake	(revision 2566)
@@ -0,0 +1,29 @@
+################# Tardis config #################
+# This code checks whether the current machine  #
+# is an ETH tardis box.                         #
+#################################################
+
+IF (UNIX)
+  FILE(STRINGS /etc/hostname HOSTNAME LIMIT_COUNT 1)
+  IF ("${HOSTNAME}" MATCHES "^tardis-[a-z][0-9][0-9]$")
+    SET (IS_TARDIS ON)
+  ENDIF ("${HOSTNAME}" MATCHES "^tardis-[a-z][0-9][0-9]$")
+ENDIF (UNIX)
+MARK_AS_ADVANCED(HOSTNAME IS_TARDIS)
+
+IF (IS_TARDIS)
+  MESSAGE(STATUS "Running on D-ITET isg.ee Tardis Computer. Using customized paths.")
+  SET(CMAKE_C_COMPILER "gcc-4.1")
+  SET(CMAKE_CXX_COMPILER "g++-4.1")
+  #SET(Boost_ADDITIONAL_VERSIONS "1.36")
+  SET(BOOST_INCLUDEDIR "/usr/pack/boost-1.34.1-sd/include")
+  SET(BOOST_LIBRARYDIR "/usr/pack/boost-1.34.1-sd/i686-debian-linux3.1/lib")
+  SET(ENV{LUA_DIR} "/usr/pack/lua-5.0.3-sd;/usr/pack/lua-5.0.3-sd/i686-debian-linux3.1")
+  SET(ENV{ALUTDIR} "/usr/pack/openal-0.0.8-cl;/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1")
+  SET(ENV{OPENALDIR} "/usr/pack/openal-0.0.8-cl;/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1")
+  SET(ENV{ENETDIR} "/usr/pack/enet-2007-sd;/usr/pack/enet-2007-sd/i686-debian-linux3.1")
+  SET(ENV{OGGVORBISDIR} "/usr/pack/oggvorbis-1.0-ds;/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0")
+  #SET(TCL_INCLUDE_PATH "/usr/pack/tcltk-8.4.9.linux-mo/include")
+  SET(ENV{CEGUIDIR} "/usr/pack/cegui-0.5.0-sd;/usr/pack/cegui-0.5.0-sd/i686-debian-linux3.1")
+  SET(ENV{OGREDIR} "/usr/pack/ogre-1.4.5-sd;/usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1")
+ENDIF (IS_TARDIS)