Index: /code/branches/buildsystem2/src/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2566)
+++ /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2567)
@@ -17,10 +17,16 @@
 
 INCLUDE_DIRECTORIES(
+  cpptcl
+  ois
+  tinyxml
+  tolua
+)
+
+INCLUDE_DIRECTORIES(
   .
-  ois
   orxonox
-  tolua
   # Required for tolua bind files that are in the build folder
   ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}/orxonox
 )
 
Index: /code/branches/buildsystem2/src/core/BaseObject.cc
===================================================================
--- /code/branches/buildsystem2/src/core/BaseObject.cc	(revision 2566)
+++ /code/branches/buildsystem2/src/core/BaseObject.cc	(revision 2567)
@@ -33,5 +33,7 @@
 
 #include "BaseObject.h"
-#include "tinyxml/tinyxml.h"
+
+#include <tinyxml.h>
+
 #include "CoreIncludes.h"
 #include "EventIncludes.h"
Index: /code/branches/buildsystem2/src/core/IRC.h
===================================================================
--- /code/branches/buildsystem2/src/core/IRC.h	(revision 2566)
+++ /code/branches/buildsystem2/src/core/IRC.h	(revision 2567)
@@ -32,6 +32,6 @@
 #include "CorePrereqs.h"
 
+#include <CppTcl.h>
 #include "OrxonoxClass.h"
-#include "cpptcl/CppTcl.h"
 
 namespace orxonox
Index: /code/branches/buildsystem2/src/core/Loader.cc
===================================================================
--- /code/branches/buildsystem2/src/core/Loader.cc	(revision 2566)
+++ /code/branches/buildsystem2/src/core/Loader.cc	(revision 2567)
@@ -28,4 +28,7 @@
 
 #include "Loader.h"
+
+#include <ticpp.h>
+
 #include "XMLFile.h"
 #include "BaseObject.h"
@@ -39,6 +42,4 @@
 #include "util/Exception.h"
 
-#include "tinyxml/ticpp.h"
-
 namespace orxonox
 {
Index: /code/branches/buildsystem2/src/core/LuaBind.cc
===================================================================
--- /code/branches/buildsystem2/src/core/LuaBind.cc	(revision 2566)
+++ /code/branches/buildsystem2/src/core/LuaBind.cc	(revision 2567)
@@ -33,8 +33,9 @@
 
 extern "C" {
-#include "lua.h"
-#include "lualib.h"
+#include <lua.h>
+#include <lualib.h>
 }
-#include "tolua++.h"
+#include <tolua++.h>
+
 #include "core/ToluaBindCore.h"
 #include "util/String.h"
Index: /code/branches/buildsystem2/src/core/TclBind.h
===================================================================
--- /code/branches/buildsystem2/src/core/TclBind.h	(revision 2566)
+++ /code/branches/buildsystem2/src/core/TclBind.h	(revision 2567)
@@ -32,5 +32,5 @@
 #include "CorePrereqs.h"
 
-#include "cpptcl/CppTcl.h"
+#include <CppTcl.h>
 
 namespace orxonox
Index: /code/branches/buildsystem2/src/core/TclThreadManager.h
===================================================================
--- /code/branches/buildsystem2/src/core/TclThreadManager.h	(revision 2566)
+++ /code/branches/buildsystem2/src/core/TclThreadManager.h	(revision 2567)
@@ -40,5 +40,5 @@
 #include <boost/thread/thread.hpp>
 
-#include "cpptcl/CppTcl.h"
+#include <CppTcl.h>
 #include "core/OrxonoxClass.h"
 
Index: /code/branches/buildsystem2/src/core/Template.cc
===================================================================
--- /code/branches/buildsystem2/src/core/Template.cc	(revision 2566)
+++ /code/branches/buildsystem2/src/core/Template.cc	(revision 2567)
@@ -29,8 +29,9 @@
 #include "Template.h"
 
+#include <ticpp.h>
+
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
 #include "util/Debug.h"
-#include "tinyxml/ticpp.h"
 
 namespace orxonox
Index: /code/branches/buildsystem2/src/core/Template.h
===================================================================
--- /code/branches/buildsystem2/src/core/Template.h	(revision 2566)
+++ /code/branches/buildsystem2/src/core/Template.h	(revision 2567)
@@ -34,6 +34,6 @@
 #include "CorePrereqs.h"
 
+#include <tinyxml.h>
 #include "BaseObject.h"
-#include "tinyxml/tinyxml.h"
 
 namespace orxonox
Index: /code/branches/buildsystem2/src/core/XMLPort.h
===================================================================
--- /code/branches/buildsystem2/src/core/XMLPort.h	(revision 2566)
+++ /code/branches/buildsystem2/src/core/XMLPort.h	(revision 2567)
@@ -43,8 +43,8 @@
 #include "CorePrereqs.h"
 
+#include <ticpp.h>
 #include "util/Debug.h"
 #include "util/Exception.h"
 #include "util/MultiType.h"
-#include "tinyxml/ticpp.h"
 #include "XMLIncludes.h"
 #include "Executor.h"
Index: /code/branches/buildsystem2/src/orxonox/pch/havepch/OrxonoxStableHeaders.h
===================================================================
--- /code/branches/buildsystem2/src/orxonox/pch/havepch/OrxonoxStableHeaders.h	(revision 2566)
+++ /code/branches/buildsystem2/src/orxonox/pch/havepch/OrxonoxStableHeaders.h	(revision 2567)
@@ -53,7 +53,6 @@
 //#include <boost/thread/thread.hpp>
 #include <boost/static_assert.hpp>
-#include "tinyxml/ticpp.h"
-#include "tinyxml/tinyxml.h"
-#include "tolua/tolua++.h"
+#include <ticpp.h>
+#include <tolua++.h>
 
 //Get around Windows hackery (windows.h is included by Ogre.h)
Index: /code/branches/buildsystem2/visual_studio/vc8/base.vsprops
===================================================================
--- /code/branches/buildsystem2/visual_studio/vc8/base.vsprops	(revision 2566)
+++ /code/branches/buildsystem2/visual_studio/vc8/base.vsprops	(revision 2567)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)\build\$(SolutionName)\$(ConfigurationName)&quot;;&quot;$(RootDir)src\tolua&quot;;&quot;$(RootDir)src\ois&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1\ceguilua&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;;&quot;$(LibDir)lua-5.1.3\include&quot;"
+		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)\build\$(SolutionName)\$(ConfigurationName)&quot;;&quot;$(RootDir)\build\$(SolutionName)\$(ConfigurationName)\orxonox&quot;;&quot;$(RootDir)src\cpptcl&quot;;&quot;$(RootDir)src\tinyxml&quot;;&quot;$(RootDir)src\tolua&quot;;&quot;$(RootDir)src\ois&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1\ceguilua&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;;&quot;$(LibDir)lua-5.1.3\include&quot;"
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL;TIXML_USE_TICPP;_CRT_SECURE_NO_WARNINGS"
 		WarningLevel="3"