Index: orxonox/trunk/gui/Makefile.am
===================================================================
--- orxonox/trunk/gui/Makefile.am	(revision 2053)
+++ orxonox/trunk/gui/Makefile.am	(revision 2580)
@@ -7,5 +7,6 @@
 	orxonox_gui_audio.cc orxonox_gui_audio.h \
 	orxonox_gui_exec.cc orxonox_gui_exec.h \
-	orxonox_gui_flags.cc orxonox_gui_flags.h
+	orxonox_gui_flags.cc orxonox_gui_flags.h \
+	orxonox_gui_banner.cc orxonox_gui_banner.h
 #orxonox_gui_file.cc 
 
Index: orxonox/trunk/gui/Makefile.in
===================================================================
--- orxonox/trunk/gui/Makefile.in	(revision 2053)
+++ orxonox/trunk/gui/Makefile.in	(revision 2580)
@@ -119,5 +119,6 @@
 	orxonox_gui_audio.cc orxonox_gui_audio.h \
 	orxonox_gui_exec.cc orxonox_gui_exec.h \
-	orxonox_gui_flags.cc orxonox_gui_flags.h
+	orxonox_gui_flags.cc orxonox_gui_flags.h \
+	orxonox_gui_banner.cc orxonox_gui_banner.h
 
 #orxonox_gui_file.cc 
@@ -142,5 +143,5 @@
 am_gui_OBJECTS = orxonox_gui.$(OBJEXT) orxonox_gui_video.$(OBJEXT) \
 	orxonox_gui_audio.$(OBJEXT) orxonox_gui_exec.$(OBJEXT) \
-	orxonox_gui_flags.$(OBJEXT)
+	orxonox_gui_flags.$(OBJEXT) orxonox_gui_banner.$(OBJEXT)
 gui_OBJECTS = $(am_gui_OBJECTS)
 gui_LDADD = $(LDADD)
@@ -153,4 +154,5 @@
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/orxonox_gui.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox_gui_audio.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/orxonox_gui_banner.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox_gui_exec.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox_gui_flags.Po \
@@ -214,4 +216,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox_gui.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox_gui_audio.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox_gui_banner.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox_gui_exec.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox_gui_flags.Po@am__quote@
Index: orxonox/trunk/gui/orxonox_gui.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui.cc	(revision 2053)
+++ orxonox/trunk/gui/orxonox_gui.cc	(revision 2580)
@@ -6,4 +6,5 @@
 #include "orxonox_gui_exec.h"
 #include "orxonox_gui_flags.h"
+#include "orxonox_gui_banner.h"
 
   Window* orxonoxGUI;
@@ -11,5 +12,6 @@
   OrxonoxGuiAudio* audio;
   OrxonoxGuiExec* exec;
-  OrxonoxGuiFlags* flags;  
+  OrxonoxGuiFlags* flags;
+  OrxonoxGuiBanner* banner;
 
 int main( int argc, char *argv[] )
@@ -35,6 +37,7 @@
   Box* windowBox = new Box ('h');
 
-  Image* banner = new Image ("banner.xpm");
-  windowBox->fill (banner);
+  banner = new OrxonoxGuiBanner();
+  windowBox->fill (banner->getEventBox());
+  
   Box* optionBox = new Box ('v');
   
@@ -264,4 +267,36 @@
 }
 
+// EVENTBOX //
+EventBox::EventBox ()
+{
+  is_option = -1;
+  next = NULL;
+  down = NULL;
+  widget = gtk_event_box_new ();
+  gtk_container_set_border_width (GTK_CONTAINER (widget), 3);
+}
+
+EventBox::EventBox (char* title)
+{
+  /**
+   * Creates a new EventBox with name title
+   */
+  is_option = -1;
+  next = NULL;
+  down = NULL;
+  widget = gtk_event_box_new ();
+  gtk_container_set_border_width (GTK_CONTAINER (widget), 3);
+
+}
+void EventBox::setTitle (char* title)
+{
+  /**
+   * Sets the EventBoxes name to title
+   */
+  //  gtk_frame_set_label (GTK_FRAME (widget), title);
+}
+EventBox::~EventBox ()
+{
+}
 
 
Index: orxonox/trunk/gui/orxonox_gui.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui.h	(revision 2053)
+++ orxonox/trunk/gui/orxonox_gui.h	(revision 2580)
@@ -17,4 +17,5 @@
 #include <gtk/gtklabel.h>
 #include <gtk/gtkimage.h>
+#include <gtk/gtkeventbox.h>
 
 class OrxonoxGui
@@ -78,4 +79,14 @@
   ~Frame ();
   
+  void setTitle (char* title);
+};
+
+class EventBox : public Container
+{
+ public:
+  EventBox (char* eventBoxName);
+  EventBox (void);
+  ~EventBox ();
+
   void setTitle (char* title);
 };
Index: orxonox/trunk/gui/orxonox_gui_banner.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_banner.cc	(revision 2580)
+++ orxonox/trunk/gui/orxonox_gui_banner.cc	(revision 2580)
@@ -0,0 +1,28 @@
+#include "orxonox_gui_banner.h"
+#include <iostream.h>
+
+OrxonoxGuiBanner::OrxonoxGuiBanner ()
+{
+  bannerEventBox = new EventBox ();
+  bannerImage = new Image ("banner.xpm");
+  bannerEventBox->fill(bannerImage);
+  bannerEventBox->connectSignal ("button_press_event", LogoWindowOpen);
+
+  // bannerFrame->fill(bannerEventBox);
+
+}
+OrxonoxGuiBanner::~OrxonoxGuiBanner ()
+{
+}
+
+
+EventBox* OrxonoxGuiBanner::getEventBox ()
+{
+  return bannerEventBox;
+}
+
+gint LogoWindowOpen (GtkWidget* widget, Widget* data)
+{
+  cout << "This Is OrxOnoX\n";
+}
+
Index: orxonox/trunk/gui/orxonox_gui_banner.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_banner.h	(revision 2580)
+++ orxonox/trunk/gui/orxonox_gui_banner.h	(revision 2580)
@@ -0,0 +1,24 @@
+#ifndef _ORXONOX_GUI_BANNER_H
+#define _ORXONOX_GUI_BANNER_H
+
+#include "orxonox_gui.h"
+
+class OrxonoxGuiBanner
+{
+ private:
+  Frame* bannerFrame;
+  Box* bannerBox;
+  EventBox* bannerEventBox;
+  Image* bannerImage;
+  Label* bannerLabel;
+  Window* logo;
+
+ public:
+  OrxonoxGuiBanner ();
+  ~OrxonoxGuiBanner ();
+
+  EventBox* getEventBox ();
+};
+gint LogoWindowOpen (GtkWidget *widget, Widget* data);
+
+#endif /* _ORXONOX_GUI_BANNER_H */