Index: /orxonox/trunk/gui/orxonox_gui.cc
===================================================================
--- /orxonox/trunk/gui/orxonox_gui.cc	(revision 2580)
+++ /orxonox/trunk/gui/orxonox_gui.cc	(revision 2581)
@@ -1,2 +1,27 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software Foundation,
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+
+*/
+
 #include <iostream.h>
 
@@ -88,7 +113,14 @@
    * Connect a signal with additionally passing the whole Object
    */
-  g_signal_connect (G_OBJECT (this->widget), event, G_CALLBACK (signal), this);
-}
-
+g_signal_connect (G_OBJECT (this->widget), event, G_CALLBACK (signal), this);
+}
+
+void Widget::connectSignal (char* event, void* extObj, gint (*signal)(GtkWidget*, GdkEvent*, void *))
+{
+  /**
+   * Connect a signal with additionally passing a whole external Object
+   */
+  g_signal_connect (G_OBJECT (this->widget), event, G_CALLBACK (signal), extObj);
+}
 void Widget::show()
 {
@@ -187,5 +219,5 @@
   gtk_window_set_policy (GTK_WINDOW (widget), TRUE, TRUE, TRUE);
   gtk_container_set_border_width (GTK_CONTAINER (widget), 3);
-  //  gtk_window_set_decorated (GTK_WINDOW (widget), FALSE);
+  gtk_window_set_decorated (GTK_WINDOW (widget), FALSE);
   this->setTitle (windowName);
 }
@@ -194,6 +226,8 @@
 {
   /**
-   * Destoying a Window (not implemented)
-   */
+   * Destoying a Window (very BAD implemented)
+   */
+  gtk_widget_hide (widget);
+  
 }
 
Index: /orxonox/trunk/gui/orxonox_gui.h
===================================================================
--- /orxonox/trunk/gui/orxonox_gui.h	(revision 2580)
+++ /orxonox/trunk/gui/orxonox_gui.h	(revision 2581)
@@ -38,4 +38,5 @@
   void connectSignal (char* event, gint (*signal)(GtkWidget*, GdkEvent*, void *));
   void connectSignal (char* event, gint (*signal)(GtkWidget*, Widget *));
+  void connectSignal (char* event, void* extObj, gint (*signal)(GtkWidget*, GdkEvent*, void *));
   void show ();
   void listOptions ();
Index: /orxonox/trunk/gui/orxonox_gui_audio.cc
===================================================================
--- /orxonox/trunk/gui/orxonox_gui_audio.cc	(revision 2580)
+++ /orxonox/trunk/gui/orxonox_gui_audio.cc	(revision 2581)
@@ -1,2 +1,27 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software Foundation,
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+
+*/
+
 #include "orxonox_gui_audio.h"
 
Index: /orxonox/trunk/gui/orxonox_gui_banner.cc
===================================================================
--- /orxonox/trunk/gui/orxonox_gui_banner.cc	(revision 2580)
+++ /orxonox/trunk/gui/orxonox_gui_banner.cc	(revision 2581)
@@ -1,2 +1,27 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software Foundation,
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+
+*/
+
 #include "orxonox_gui_banner.h"
 #include <iostream.h>
@@ -4,15 +29,46 @@
 OrxonoxGuiBanner::OrxonoxGuiBanner ()
 {
-  bannerEventBox = new EventBox ();
+  bannerEventBox = new EventBox ("BannerEventBox");
   bannerImage = new Image ("banner.xpm");
   bannerEventBox->fill(bannerImage);
-  bannerEventBox->connectSignal ("button_press_event", LogoWindowOpen);
+  bannerEventBox->connectSignal ("button_press_event", this, LogoWindowOpen);
+  logoWindowIsOpen = -1;
+}
 
-  // bannerFrame->fill(bannerEventBox);
-
-}
 OrxonoxGuiBanner::~OrxonoxGuiBanner ()
 {
 }
+
+void OrxonoxGuiBanner::logoWindowNew()
+{
+  if (logoWindowIsOpen <= 0)
+    {
+      if (logoWindowIsOpen < 0)
+	{
+	  // creating new Logo Window //
+	  logoWindow = new Window("Logo");
+	  logoWindow->connectSignal("destroy", this, LogoWindowClose);
+	  logoWindow->connectSignal("delete_event", this, LogoWindowClose);
+	  logoEventBox = new EventBox();
+	  logoImage = new Image("banner.xpm");
+	  logoEventBox->fill(logoImage);
+	  logoEventBox->connectSignal("button_press_event",this,LogoWindowClose);
+
+	  logoWindow->fill (logoEventBox);
+	  
+	}
+      //  showing Window //
+      logoWindowIsOpen = 1;
+     
+      
+      logoWindow->showall();
+    }
+}
+void OrxonoxGuiBanner::logoWindowClose()
+{
+  logoWindowIsOpen = 0;
+  logoWindow->~Window();
+}
+
 
 
@@ -22,7 +78,13 @@
 }
 
-gint LogoWindowOpen (GtkWidget* widget, Widget* data)
+gint LogoWindowOpen (GtkWidget* widget, GdkEvent* event, void* banner)
 {
-  cout << "This Is OrxOnoX\n";
+  //cout << data->is_option<<"\n";
+  static_cast<OrxonoxGuiBanner*>(banner)->logoWindowNew();
 }
 
+gint LogoWindowClose (GtkWidget *widget, GdkEvent* event, void* banner)
+{
+  static_cast<OrxonoxGuiBanner*>(banner)->logoWindowClose();
+  
+}
Index: /orxonox/trunk/gui/orxonox_gui_banner.h
===================================================================
--- /orxonox/trunk/gui/orxonox_gui_banner.h	(revision 2580)
+++ /orxonox/trunk/gui/orxonox_gui_banner.h	(revision 2581)
@@ -12,5 +12,8 @@
   Image* bannerImage;
   Label* bannerLabel;
-  Window* logo;
+  Window* logoWindow;
+  int logoWindowIsOpen;
+  EventBox* logoEventBox;
+  Image* logoImage;
 
  public:
@@ -18,7 +21,10 @@
   ~OrxonoxGuiBanner ();
 
+  void logoWindowNew();
+  void logoWindowClose();
   EventBox* getEventBox ();
 };
-gint LogoWindowOpen (GtkWidget *widget, Widget* data);
+gint LogoWindowOpen (GtkWidget *widget, GdkEvent* event, void* banner);
+gint LogoWindowClose (GtkWidget *widget, GdkEvent* event, void* banner);
 
 #endif /* _ORXONOX_GUI_BANNER_H */
Index: /orxonox/trunk/gui/orxonox_gui_exec.cc
===================================================================
--- /orxonox/trunk/gui/orxonox_gui_exec.cc	(revision 2580)
+++ /orxonox/trunk/gui/orxonox_gui_exec.cc	(revision 2581)
@@ -1,2 +1,27 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software Foundation,
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+
+*/
+
 #include "orxonox_gui_exec.h"
 #include <iostream>
Index: /orxonox/trunk/gui/orxonox_gui_flags.cc
===================================================================
--- /orxonox/trunk/gui/orxonox_gui_flags.cc	(revision 2580)
+++ /orxonox/trunk/gui/orxonox_gui_flags.cc	(revision 2581)
@@ -1,2 +1,27 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software Foundation,
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+
+*/
+
 #include "orxonox_gui_flags.h"
 #include <iostream.h>
Index: /orxonox/trunk/gui/orxonox_gui_video.cc
===================================================================
--- /orxonox/trunk/gui/orxonox_gui_video.cc	(revision 2580)
+++ /orxonox/trunk/gui/orxonox_gui_video.cc	(revision 2581)
@@ -1,2 +1,28 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software Foundation,
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+
+*/
+
+
 #include "orxonox_gui_video.h"
 